package cn.com.tenlion.systembase.pojo.vos.enterprise;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: EnterpriseVO
 * @Description: 非公有制经济组织
 * @Author: CodeFactory
 * @Date: 2021-11-04 15:22:05
 * @Version: 3.0
 **/
@ApiModel
public class EnterpriseVO {

    @ApiModelProperty(name = "enterpriseName", value = "名称")
    @CheckEmptyAnnotation(name = "名称")
    private String enterpriseName;
    @ApiModelProperty(name = "enterpriseTypeId", value = "类型ID")
    @CheckEmptyAnnotation(name = "类型ID")
    private String enterpriseTypeId;
    @ApiModelProperty(name = "enterpriseTypeName", value = "类型名称")
    @CheckEmptyAnnotation(name = "类型名称")
    private String enterpriseTypeName;
    @ApiModelProperty(name = "enterpriseAddress", value = "地址")
    private String enterpriseAddress;
    @ApiModelProperty(name = "enterpriseTel", value = "联系方式")
    private String enterpriseTel;
    @ApiModelProperty(name = "businessRegNo", value = "组织机构代码")
    @CheckEmptyAnnotation(name = "组织机构代码")
    private String businessRegNo;
    @ApiModelProperty(name = "businessLicense", value = "营业执照")
    private String businessLicense;
    @ApiModelProperty(name = "businessLicenseStartDate", value = "营业执照开始时间")
    private String businessLicenseStartDate;
    @ApiModelProperty(name = "businessLicenseEndDate", value = "营业执照结束时间")
    private String businessLicenseEndDate;
    @ApiModelProperty(name = "totalPerson", value = "员工数")
    @CheckNumberAnnotation(name = "员工数")
    private Integer totalPerson;
    @ApiModelProperty(name = "legalPersonIdCardCode", value = "法人证件代码")
    private String legalPersonIdCardCode;
    @ApiModelProperty(name = "legalPersonIdCardCodeName", value = "法人证件代码名称")
    private String legalPersonIdCardCodeName;
    @ApiModelProperty(name = "legalPersonIdCard", value = "法人证件号码")
    private String legalPersonIdCard;
    @ApiModelProperty(name = "legalPersonName", value = "法人姓名")
    private String legalPersonName;
    @ApiModelProperty(name = "legalPersonPhone", value = "法人联系方式")
    private String legalPersonPhone;
    @ApiModelProperty(name = "legalPersonIdCardFront", value = "法人证件正面")
    private String legalPersonIdCardFront;
    @ApiModelProperty(name = "legalPersonIdCardBack", value = "法人证件背面")
    private String legalPersonIdCardBack;
    @ApiModelProperty(name = "securityPersonName", value = "治保负责人姓名")
    private String securityPersonName;
    @ApiModelProperty(name = "securityPersonPhone", value = "治保负责人联系方式")
    private String securityPersonPhone;
    @ApiModelProperty(name = "masterName", value = "负责人姓名")
    private String masterName;
    @ApiModelProperty(name = "masterPhone", value = "负责人联系方式")
    private String masterPhone;
    @ApiModelProperty(name = "masterIdCard", value = "负责人身份证号码")
    private String masterIdCard;
    @ApiModelProperty(name = "masterIdCardFront", value = "负责人身份证正面")
    private String masterIdCardFront;
    @ApiModelProperty(name = "masterIdCardBack", value = "负责人身份证背面")
    private String masterIdCardBack;
    @ApiModelProperty(name = "isDanger", value = "是否危化企业")
    @CheckNumberAnnotation(name = "是否危化企业")
    private Integer isDanger;
    @ApiModelProperty(name = "hiddenDangerTypeId", value = "安全隐患类型ID")
    private String hiddenDangerTypeId;
    @ApiModelProperty(name = "hiddenDangerTypeName", value = "安全隐患类型名称")
    private String hiddenDangerTypeName;
    @ApiModelProperty(name = "degreeOfConcernId", value = "关注度ID")
    private String degreeOfConcernId;
    @ApiModelProperty(name = "degreeOfConcernName", value = "关注度名称")
    private String degreeOfConcernName;
    @ApiModelProperty(name = "canEstablishPartyOrg", value = "是否具备建立中共党组织条件")
    @CheckNumberAnnotation(name = "是否具备建立中共党组织条件")
    private Integer canEstablishPartyOrg;
    @ApiModelProperty(name = "hasPartyOrg", value = "是否有党组织")
    @CheckNumberAnnotation(name = "是否有党组织")
    private Integer hasPartyOrg;
    @ApiModelProperty(name = "partyOrgTotalPerson", value = "中共党员数量")
    @CheckNumberAnnotation(name = "中共党员数量")
    private Integer partyOrgTotalPerson;
    @ApiModelProperty(name = "hasLabourUnion", value = "是否有工会")
    @CheckNumberAnnotation(name = "是否有工会")
    private Integer hasLabourUnion;
    @ApiModelProperty(name = "labourUnionTotalPerson", value = "工会会员数量")
    @CheckNumberAnnotation(name = "工会会员数量")
    private Integer labourUnionTotalPerson;
    @ApiModelProperty(name = "hasCommunistYouthLeague", value = "是否有共青团")
    @CheckNumberAnnotation(name = "是否有共青团")
    private Integer hasCommunistYouthLeague;
    @ApiModelProperty(name = "communistYouthLeagueTotalPerson", value = "共青团团员数量")
    @CheckNumberAnnotation(name = "共青团团员数量")
    private Integer communistYouthLeagueTotalPerson;
    @ApiModelProperty(name = "hasWomenFederation", value = "是否有妇联")
    @CheckNumberAnnotation(name = "是否有妇联")
    private Integer hasWomenFederation;
    @ApiModelProperty(name = "womenTotalPerson", value = "妇女数量")
    @CheckNumberAnnotation(name = "妇女数量")
    private Integer womenTotalPerson;
    @ApiModelProperty(name = "enterpriseLng", value = "企业经度")
    private String enterpriseLng;
    @ApiModelProperty(name = "enterpriseLat", value = "企业纬度")
    private String enterpriseLat;
    @ApiModelProperty(name = "areaCode", value = "地区编码")
    private String areaCode;
    @ApiModelProperty(name = "areaName", value = "地区名称")
    private String areaName;
    @ApiModelProperty(name = "gridCode", value = "网格编码")
    private String gridCode;
    @ApiModelProperty(name = "gridName", value = "网格名称")
    private String gridName;
    @ApiModelProperty(name = "isLogOff", value = "是否注销")
    @CheckNumberAnnotation(name = "是否注销")
    private Integer isLogOff;
    @ApiModelProperty(name = "remarks", value = "备注")
    private String remarks;
    @ApiModelProperty(name = "facadePhotos", value = "门面照片")
    private String facadePhotos;
    @ApiModelProperty(name = "workplacePhotos", value = "工作场所照片")
    private String workplacePhotos;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;

    public String getEnterpriseName() {
        return enterpriseName == null ? "" : enterpriseName.trim();
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseTypeId() {
        return enterpriseTypeId == null ? "" : enterpriseTypeId.trim();
    }

    public void setEnterpriseTypeId(String enterpriseTypeId) {
        this.enterpriseTypeId = enterpriseTypeId;
    }

    public String getEnterpriseTypeName() {
        return enterpriseTypeName == null ? "" : enterpriseTypeName.trim();
    }

    public void setEnterpriseTypeName(String enterpriseTypeName) {
        this.enterpriseTypeName = enterpriseTypeName;
    }

    public String getEnterpriseAddress() {
        return enterpriseAddress == null ? "" : enterpriseAddress.trim();
    }

    public void setEnterpriseAddress(String enterpriseAddress) {
        this.enterpriseAddress = enterpriseAddress;
    }

    public String getEnterpriseTel() {
        return enterpriseTel == null ? "" : enterpriseTel.trim();
    }

    public void setEnterpriseTel(String enterpriseTel) {
        this.enterpriseTel = enterpriseTel;
    }

    public String getBusinessRegNo() {
        return businessRegNo == null ? "" : businessRegNo.trim();
    }

    public void setBusinessRegNo(String businessRegNo) {
        this.businessRegNo = businessRegNo;
    }

    public String getBusinessLicense() {
        return businessLicense == null ? "" : businessLicense.trim();
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getBusinessLicenseStartDate() {
        return businessLicenseStartDate == null ? "" : businessLicenseStartDate.trim();
    }

    public void setBusinessLicenseStartDate(String businessLicenseStartDate) {
        this.businessLicenseStartDate = businessLicenseStartDate;
    }

    public String getBusinessLicenseEndDate() {
        return businessLicenseEndDate == null ? "" : businessLicenseEndDate.trim();
    }

    public void setBusinessLicenseEndDate(String businessLicenseEndDate) {
        this.businessLicenseEndDate = businessLicenseEndDate;
    }

    public Integer getTotalPerson() {
        return totalPerson == null ? 0 : totalPerson;
    }

    public void setTotalPerson(Integer totalPerson) {
        this.totalPerson = totalPerson;
    }

    public String getLegalPersonIdCardCode() {
        return legalPersonIdCardCode == null ? "" : legalPersonIdCardCode.trim();
    }

    public void setLegalPersonIdCardCode(String legalPersonIdCardCode) {
        this.legalPersonIdCardCode = legalPersonIdCardCode;
    }

    public String getLegalPersonIdCardCodeName() {
        return legalPersonIdCardCodeName == null ? "" : legalPersonIdCardCodeName.trim();
    }

    public void setLegalPersonIdCardCodeName(String legalPersonIdCardCodeName) {
        this.legalPersonIdCardCodeName = legalPersonIdCardCodeName;
    }

    public String getLegalPersonIdCard() {
        return legalPersonIdCard == null ? "" : legalPersonIdCard.trim();
    }

    public void setLegalPersonIdCard(String legalPersonIdCard) {
        this.legalPersonIdCard = legalPersonIdCard;
    }

    public String getLegalPersonName() {
        return legalPersonName == null ? "" : legalPersonName.trim();
    }

    public void setLegalPersonName(String legalPersonName) {
        this.legalPersonName = legalPersonName;
    }

    public String getLegalPersonPhone() {
        return legalPersonPhone == null ? "" : legalPersonPhone.trim();
    }

    public void setLegalPersonPhone(String legalPersonPhone) {
        this.legalPersonPhone = legalPersonPhone;
    }

    public String getLegalPersonIdCardFront() {
        return legalPersonIdCardFront == null ? "" : legalPersonIdCardFront.trim();
    }

    public void setLegalPersonIdCardFront(String legalPersonIdCardFront) {
        this.legalPersonIdCardFront = legalPersonIdCardFront;
    }

    public String getLegalPersonIdCardBack() {
        return legalPersonIdCardBack == null ? "" : legalPersonIdCardBack.trim();
    }

    public void setLegalPersonIdCardBack(String legalPersonIdCardBack) {
        this.legalPersonIdCardBack = legalPersonIdCardBack;
    }

    public String getSecurityPersonName() {
        return securityPersonName == null ? "" : securityPersonName.trim();
    }

    public void setSecurityPersonName(String securityPersonName) {
        this.securityPersonName = securityPersonName;
    }

    public String getSecurityPersonPhone() {
        return securityPersonPhone == null ? "" : securityPersonPhone.trim();
    }

    public void setSecurityPersonPhone(String securityPersonPhone) {
        this.securityPersonPhone = securityPersonPhone;
    }

    public String getMasterName() {
        return masterName == null ? "" : masterName.trim();
    }

    public void setMasterName(String masterName) {
        this.masterName = masterName;
    }

    public String getMasterPhone() {
        return masterPhone == null ? "" : masterPhone.trim();
    }

    public void setMasterPhone(String masterPhone) {
        this.masterPhone = masterPhone;
    }

    public String getMasterIdCard() {
        return masterIdCard == null ? "" : masterIdCard.trim();
    }

    public void setMasterIdCard(String masterIdCard) {
        this.masterIdCard = masterIdCard;
    }

    public String getMasterIdCardFront() {
        return masterIdCardFront == null ? "" : masterIdCardFront.trim();
    }

    public void setMasterIdCardFront(String masterIdCardFront) {
        this.masterIdCardFront = masterIdCardFront;
    }

    public String getMasterIdCardBack() {
        return masterIdCardBack == null ? "" : masterIdCardBack.trim();
    }

    public void setMasterIdCardBack(String masterIdCardBack) {
        this.masterIdCardBack = masterIdCardBack;
    }

    public Integer getIsDanger() {
        return isDanger == null ? 0 : isDanger;
    }

    public void setIsDanger(Integer isDanger) {
        this.isDanger = isDanger;
    }

    public String getHiddenDangerTypeId() {
        return hiddenDangerTypeId == null ? "" : hiddenDangerTypeId.trim();
    }

    public void setHiddenDangerTypeId(String hiddenDangerTypeId) {
        this.hiddenDangerTypeId = hiddenDangerTypeId;
    }

    public String getHiddenDangerTypeName() {
        return hiddenDangerTypeName == null ? "" : hiddenDangerTypeName.trim();
    }

    public void setHiddenDangerTypeName(String hiddenDangerTypeName) {
        this.hiddenDangerTypeName = hiddenDangerTypeName;
    }

    public String getDegreeOfConcernId() {
        return degreeOfConcernId == null ? "" : degreeOfConcernId.trim();
    }

    public void setDegreeOfConcernId(String degreeOfConcernId) {
        this.degreeOfConcernId = degreeOfConcernId;
    }

    public String getDegreeOfConcernName() {
        return degreeOfConcernName == null ? "" : degreeOfConcernName.trim();
    }

    public void setDegreeOfConcernName(String degreeOfConcernName) {
        this.degreeOfConcernName = degreeOfConcernName;
    }

    public Integer getCanEstablishPartyOrg() {
        return canEstablishPartyOrg == null ? 0 : canEstablishPartyOrg;
    }

    public void setCanEstablishPartyOrg(Integer canEstablishPartyOrg) {
        this.canEstablishPartyOrg = canEstablishPartyOrg;
    }

    public Integer getHasPartyOrg() {
        return hasPartyOrg == null ? 0 : hasPartyOrg;
    }

    public void setHasPartyOrg(Integer hasPartyOrg) {
        this.hasPartyOrg = hasPartyOrg;
    }

    public Integer getPartyOrgTotalPerson() {
        return partyOrgTotalPerson == null ? 0 : partyOrgTotalPerson;
    }

    public void setPartyOrgTotalPerson(Integer partyOrgTotalPerson) {
        this.partyOrgTotalPerson = partyOrgTotalPerson;
    }

    public Integer getHasLabourUnion() {
        return hasLabourUnion == null ? 0 : hasLabourUnion;
    }

    public void setHasLabourUnion(Integer hasLabourUnion) {
        this.hasLabourUnion = hasLabourUnion;
    }

    public Integer getLabourUnionTotalPerson() {
        return labourUnionTotalPerson == null ? 0 : labourUnionTotalPerson;
    }

    public void setLabourUnionTotalPerson(Integer labourUnionTotalPerson) {
        this.labourUnionTotalPerson = labourUnionTotalPerson;
    }

    public Integer getHasCommunistYouthLeague() {
        return hasCommunistYouthLeague == null ? 0 : hasCommunistYouthLeague;
    }

    public void setHasCommunistYouthLeague(Integer hasCommunistYouthLeague) {
        this.hasCommunistYouthLeague = hasCommunistYouthLeague;
    }

    public Integer getCommunistYouthLeagueTotalPerson() {
        return communistYouthLeagueTotalPerson == null ? 0 : communistYouthLeagueTotalPerson;
    }

    public void setCommunistYouthLeagueTotalPerson(Integer communistYouthLeagueTotalPerson) {
        this.communistYouthLeagueTotalPerson = communistYouthLeagueTotalPerson;
    }

    public Integer getHasWomenFederation() {
        return hasWomenFederation == null ? 0 : hasWomenFederation;
    }

    public void setHasWomenFederation(Integer hasWomenFederation) {
        this.hasWomenFederation = hasWomenFederation;
    }

    public Integer getWomenTotalPerson() {
        return womenTotalPerson == null ? 0 : womenTotalPerson;
    }

    public void setWomenTotalPerson(Integer womenTotalPerson) {
        this.womenTotalPerson = womenTotalPerson;
    }

    public String getEnterpriseLng() {
        return enterpriseLng == null ? "" : enterpriseLng.trim();
    }

    public void setEnterpriseLng(String enterpriseLng) {
        this.enterpriseLng = enterpriseLng;
    }

    public String getEnterpriseLat() {
        return enterpriseLat == null ? "" : enterpriseLat.trim();
    }

    public void setEnterpriseLat(String enterpriseLat) {
        this.enterpriseLat = enterpriseLat;
    }

    public String getAreaCode() {
        return areaCode == null ? "" : areaCode.trim();
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName == null ? "" : areaName.trim();
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getGridCode() {
        return gridCode == null ? "" : gridCode.trim();
    }

    public void setGridCode(String gridCode) {
        this.gridCode = gridCode;
    }

    public String getGridName() {
        return gridName == null ? "" : gridName.trim();
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public Integer getIsLogOff() {
        return isLogOff == null ? 0 : isLogOff;
    }

    public void setIsLogOff(Integer isLogOff) {
        this.isLogOff = isLogOff;
    }

    public String getRemarks() {
        return remarks == null ? "" : remarks.trim();
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getFacadePhotos() {
        return facadePhotos == null ? "" : facadePhotos.trim();
    }

    public void setFacadePhotos(String facadePhotos) {
        this.facadePhotos = facadePhotos;
    }

    public String getWorkplacePhotos() {
        return workplacePhotos == null ? "" : workplacePhotos.trim();
    }

    public void setWorkplacePhotos(String workplacePhotos) {
        this.workplacePhotos = workplacePhotos;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }
}
